<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Run *.nopurl.Rmd files — run_nopurl_rmd • pkgpurl</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Run *.nopurl.Rmd files — run_nopurl_rmd"><meta name="description" content="
Executes .Rmd files which are supposed to contain code not included in the source package, i.e.
usually outsourced to separate .Rmd files with the .nopurl suffix in their filenames. Those files are typically used to generate package
data.
If an error is encountered saying internal error -3 in R_decompress1, restart the R session and run again."><meta property="og:description" content="
Executes .Rmd files which are supposed to contain code not included in the source package, i.e.
usually outsourced to separate .Rmd files with the .nopurl suffix in their filenames. Those files are typically used to generate package
data.
If an error is encountered saying internal error -3 in R_decompress1, restart the R session and run again."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">pkgpurl</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9015</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/rpkg.dev/pkgpurl/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Run <code>*.nopurl.Rmd</code> files</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/rpkg.dev/pkgpurl/blob/HEAD/R/pkgpurl.gen.R" class="external-link"><code>R/pkgpurl.gen.R</code></a></small>
      <div class="d-none name"><code>run_nopurl_rmd.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p><a href="https://lifecycle.r-lib.org/articles/stages.html#experimental" class="external-link"><img src="figures/lifecycle-experimental.svg" alt="[Experimental]"></a></p>
<p>Executes <code>.Rmd</code> files which are supposed to contain code not included in the <a href="https://r-pkgs.org/structure.html#sec-source-package" class="external-link">source package</a>, i.e.
usually outsourced to separate <code>.Rmd</code> files with the <a href="https://pkgpurl.rpkg.dev/dev/reference/purl_rmd.html#-rmd-files-excluded-from-purling"><code>.nopurl</code> suffix in their filenames</a>. Those files are typically used to generate package
data.</p>
<p>If an error is encountered saying <code>internal error -3 in R_decompress1</code>, restart the R session and run again.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">run_nopurl_rmd</span><span class="op">(</span></span>
<span>  path <span class="op">=</span> <span class="st">"."</span>,</span>
<span>  path_rmd <span class="op">=</span> <span class="fu">fs</span><span class="fu">::</span><span class="fu"><a href="https://fs.r-lib.org/reference/dir_ls.html" class="external-link">dir_ls</a></span><span class="op">(</span>path <span class="op">=</span> <span class="fu">fs</span><span class="fu">::</span><span class="fu"><a href="https://fs.r-lib.org/reference/path.html" class="external-link">path</a></span><span class="op">(</span><span class="va">path</span>, <span class="st">"Rmd"</span><span class="op">)</span>, recurse <span class="op">=</span> <span class="cn">TRUE</span>, type <span class="op">=</span> <span class="st">"file"</span>, glob</span>
<span>    <span class="op">=</span> <span class="st">"*.nopurl.Rmd"</span><span class="op">)</span>,</span>
<span>  env <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  document <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  build_and_install <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  restart_r_session <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  quiet <span class="op">=</span> <span class="cn">TRUE</span>,</span>
<span>  roclets <span class="op">=</span> <span class="cn">NULL</span>,</span>
<span>  args <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/options.html" class="external-link">getOption</a></span><span class="op">(</span><span class="st">"devtools.install.args"</span><span class="op">)</span>,</span>
<span>  dependencies <span class="op">=</span> <span class="cn">NA</span>,</span>
<span>  upgrade <span class="op">=</span> <span class="st">"never"</span>,</span>
<span>  keep_source <span class="op">=</span> <span class="fu"><a href="https://rdrr.io/r/base/options.html" class="external-link">getOption</a></span><span class="op">(</span><span class="st">"keep.source.pkgs"</span><span class="op">)</span></span>
<span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-path">path<a class="anchor" aria-label="anchor" href="#arg-path"></a></dt>
<dd><p>Path to the root of the package directory.</p></dd>


<dt id="arg-path-rmd">path_rmd<a class="anchor" aria-label="anchor" href="#arg-path-rmd"></a></dt>
<dd><p>Path(s) to the <code>.Rmd</code> files to be executed. A character vector.</p></dd>


<dt id="arg-env">env<a class="anchor" aria-label="anchor" href="#arg-env"></a></dt>
<dd><p>Environment to evaluate the <code>.Rmd</code> files in. If <code>NULL</code>, the <a href="https://rdrr.io/r/base/environment.html" class="external-link">global environment</a> is used.</p></dd>


<dt id="arg-document">document<a class="anchor" aria-label="anchor" href="#arg-document"></a></dt>
<dd><p>Whether or not to re-build the package documentation after the last <code>.Rmd</code> file is executed.</p></dd>


<dt id="arg-build-and-install">build_and_install<a class="anchor" aria-label="anchor" href="#arg-build-and-install"></a></dt>
<dd><p>Whether or not to build and install the package after each <code>.Rmd</code> file execution.</p></dd>


<dt id="arg-restart-r-session">restart_r_session<a class="anchor" aria-label="anchor" href="#arg-restart-r-session"></a></dt>
<dd><p>Whether or not to restart the R session after the last <code>.Rmd</code> file is executed. Highly recommended if <code>build_and_install = TRUE</code>,
but only possible when R is run within RStudio.</p></dd>


<dt id="arg-quiet">quiet<a class="anchor" aria-label="anchor" href="#arg-quiet"></a></dt>
<dd><p>if <code>TRUE</code> suppresses output from this function.</p></dd>


<dt id="arg-roclets">roclets<a class="anchor" aria-label="anchor" href="#arg-roclets"></a></dt>
<dd><p>Character vector of roclet names to use with package.
The default, <code>NULL</code>, uses the roxygen <code>roclets</code> option,
which defaults to <code>c("collate", "namespace", "rd")</code>.</p></dd>


<dt id="arg-args">args<a class="anchor" aria-label="anchor" href="#arg-args"></a></dt>
<dd><p>An optional character vector of additional command line
arguments to be passed to <code>R CMD INSTALL</code>. This defaults to the
value of the option <code>"devtools.install.args"</code>.</p></dd>


<dt id="arg-dependencies">dependencies<a class="anchor" aria-label="anchor" href="#arg-dependencies"></a></dt>
<dd><p>Which dependencies do you want to check?
Can be a character vector (selecting from "Depends", "Imports",
"LinkingTo", "Suggests", or "Enhances"), or a logical vector.</p>
<p><code>TRUE</code> is shorthand for "Depends", "Imports", "LinkingTo" and
"Suggests". <code>NA</code> is shorthand for "Depends", "Imports" and "LinkingTo"
and is the default. <code>FALSE</code> is shorthand for no dependencies (i.e.
just check this package, not its dependencies).</p>
<p>The value "soft" means the same as <code>TRUE</code>, "hard" means the same as <code>NA</code>.</p>
<p>You can also specify dependencies from one or more additional fields,
common ones include:</p><ul><li><p>Config/Needs/website - for dependencies used in building the pkgdown site.</p></li>
<li><p>Config/Needs/coverage for dependencies used in calculating test coverage.</p></li>
</ul></dd>


<dt id="arg-upgrade">upgrade<a class="anchor" aria-label="anchor" href="#arg-upgrade"></a></dt>
<dd><p>Should package dependencies be upgraded? One of "default", "ask", "always", or "never". "default"
respects the value of the <code>R_REMOTES_UPGRADE</code> environment variable if set,
and falls back to "ask" if unset. "ask" prompts the user for which out of
date packages to upgrade. For non-interactive sessions "ask" is equivalent
to "always". <code>TRUE</code> and <code>FALSE</code> are also accepted and correspond to
"always" and "never" respectively.</p></dd>


<dt id="arg-keep-source">keep_source<a class="anchor" aria-label="anchor" href="#arg-keep-source"></a></dt>
<dd><p>If <code>TRUE</code> will keep the srcrefs from an installed
package. This is useful for debugging (especially inside of RStudio).
It defaults to the option <code>"keep.source.pkgs"</code>.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p><code>path_rmd</code>, invisibly.</p>
    </div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p>Other high-level functions:
<code><a href="lint_rmd.html">lint_rmd</a>()</code>,
<code><a href="load_pkg.html">load_pkg</a>()</code>,
<code><a href="process_pkg.html">process_pkg</a>()</code>,
<code><a href="purl_rmd.html">purl_rmd</a>()</code></p></div>
    </div>

  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.</p>
</div>

    </footer></div>





  </body></html>

